# class Tk::Root

### Constants

WidgetClassName

### Public Class Methods

destroy() click to toggle source

    # File lib/tk/root.rb, line 91
    def Root.destroy
      TkCore::INTERP._invoke('destroy', '.')
    end

new(keys=nil, &b) click to toggle source
Calls superclass method

    # File lib/tk/root.rb, line 18
    def Root.new(keys=nil, &b)
      unless TkCore::INTERP.tk_windows['.']
        TkCore::INTERP.tk_windows['.'] =
          super(:without_creating=>true, :widgetname=>'.'){}
      end
      root = TkCore::INTERP.tk_windows['.']

      keys = _symbolkey2str(keys)

      # wm commands
      root.instance_eval{
        __methodcall_optkeys.each{|key, method|
          value = keys.delete(key.to_s)
          self.__send__(method, value) if value
        }
      }

      if keys  # wm commands ( for backward compatibility )
        keys.each{|k,v|
          if v.kind_of? Array
            root.__send__(k,*v)
          else
            root.__send__(k,v)
          end
        }
      end

      if block_given?
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          root.instance_exec(root, &b)
        else
          root.instance_eval(&b)
        end
      end
      root
    end

to_eval() click to toggle source

    # File lib/tk/root.rb, line 58
    def self.to_eval
      # self::WidgetClassName
      '.'
    end

### Public Instance Methods

add_menubar(menu_spec, tearoff=false, opts=nil) click to toggle source

    # File lib/tk/root.rb, line 83
    def add_menubar(menu_spec, tearoff=false, opts=nil)
      # See tk/menuspec.rb for menu_spec.
      # opts is a hash of default configs for all of cascade menus.
      # Configs of menu_spec can override it.
      menu_spec.each{|info| add_menu(info, tearoff, opts)}
      self.menu
    end

path() click to toggle source

    # File lib/tk/root.rb, line 68
    def path
      "."
    end

tktrans_get_image() click to toggle source

    # File lib/tkextlib/tktrans/tktrans.rb, line 50
    def tktrans_get_image()
      tk_send('tktrans::settoplevel', @path)
    end

tktrans_set_image(img) click to toggle source

    # File lib/tkextlib/tktrans/tktrans.rb, line 46
    def tktrans_set_image(img)
      tk_send('tktrans::settoplevel', @path, img)
      self
    end

### Private Instance Methods

__methodcall_optkeys() click to toggle source

    # File lib/tk/root.rb, line 13
    def __methodcall_optkeys  # { key=>method, ... }
      TOPLEVEL_METHODCALL_OPTKEYS
    end

create_self() click to toggle source

    # File lib/tk/root.rb, line 63
    def create_self
      @path = '.'
    end